curl --location 'https://connect.dispatchable.com/data-manager/api/v1/sources' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"type": "webhook",
"name": "Jotform Auto Transport Intake",
"status": "active",
"contact_name": "Jason Smith",
"contact_email": "jason@testcompany.com",
"contact_phone": "9548339829",
"website": "https://www.testcompany.com",
"description": "Inbound Jotform webhook for auto transport leads",
"modes_of_transportation": [
"AUTO_TRANSPORT"
],
"equipment_types": [
"OPEN_CARRIER"
],
"allow_booking": true,
"type_of_location_enabled": true,
"incoming_webhook": {
"provider": "jotform",
"status": "sandbox",
"target_type": "load",
"settings": {
"capture_sample_on_first_request": true,
"require_auth_token": false
},
"parser_schema": {
"fields": {
"customer_first_name": {
"path": "q12_contactInfo.field_1",
"transforms": [
"first_name"
]
},
"customer_last_name": {
"path": "q12_contactInfo.field_1",
"transforms": [
"last_name"
]
},
"customer_phone_1": {
"path": "q12_contactInfo.field_2",
"transforms": [
"digits_only"
]
},
"customer_email": {
"path": "q12_contactInfo.field_3"
},
"origin_city": {
"path": "q14_typeA",
"transforms": [
"city_from_google_string"
]
},
"origin_state": {
"path": "q14_typeA",
"transforms": [
"state_from_google_string"
]
},
"destination_city": {
"path": "q15_typeA15",
"transforms": [
"city_from_google_string"
]
},
"destination_state": {
"path": "q15_typeA15",
"transforms": [
"state_from_google_string"
]
},
"first_avail": {
"path": "q16_shippingDate",
"transforms": [
"jotform_date"
]
}
},
"defaults": {
"load_type": "auto_transport",
"trailer_type": "OPEN"
}
}
}
}'